Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
anhhungxdddcnnb

XIN LISP

Các bài được khuyến nghị

Mình đang cần 1 lisp autocad khi chỉnh linewieght.

Nội dung của lisp như sau: Mình muốn khi đánh lệnh của lisp chỉ vào 1 nét vẽ (ví dụ nét tường màu 130) thì mình chỉ cần chỉ vào 1 nét vẽ của màu 130 sau đó chỉnh cho nó linewieght là 1 giá trị nào đó cho toàn bộ màu 130

Như 1 số lisp mình tìm hiểu như kk,ha,chlw thì lisp đó yêu cầu phải nhập đúng tên layer .C ái mình cần ở đây chỉ là 1 cú click rồi đặt nét.

Bạn nào có lisp tương tự hoặc đúng như thế cho mình xin với

Xin chân thành cám ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
TaiNguyen79    24

Mình đang cần 1 lisp autocad khi chỉnh linewieght.

Nội dung của lisp như sau: Mình muốn khi đánh lệnh của lisp chỉ vào 1 nét vẽ (ví dụ nét tường màu 130) thì mình chỉ cần chỉ vào 1 nét vẽ của màu 130 sau đó chỉnh cho nó linewieght là 1 giá trị nào đó cho toàn bộ màu 130

Như 1 số lisp mình tìm hiểu như kk,ha,chlw thì lisp đó yêu cầu phải nhập đúng tên layer .C ái mình cần ở đây chỉ là 1 cú click rồi đặt nét.

Bạn nào có lisp tương tự hoặc đúng như thế cho mình xin với

Xin chân thành cám ơn

Của bạn đây :

Chỉ cần chọn đối tượng mẫu là lw cả lớp đó sẽ giống như vậy


(defun c:lw_all (/ lw eg lay)

(if (= (getvar "lwunits") 0) (setvar "lwunits" 1))

(setq lw (cdr (assoc 370 (setq eg (entget (car (entsel "\nselect obj : ")))))) lay (cdr (assoc 8 eg)))

(cond ((null lw) (setq lw "bylayer")) ((= lw -2) (setq lw "Byblock")) ((= lw -3) (setq lw "default")) (T (setq lw (* 0.01 lw))))

(command ".change" (ssget "X" (list (cons 8 lay))) "" "P" "LW" lw ""))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
TaiNguyen79    24

Còn nếu muốn change theo màu thì dùng như vầy :


(defun c:lw_all (/ lw eg cor)

(if (= (getvar "lwunits") 0) (setvar "lwunits" 1))

(setq lw (cdr (assoc 370 (setq eg (entget (car (entsel "\nselect obj : ")))))) cor (cdr (assoc 62 eg)))

(if (null cor) (setq cor 256))

(cond ((null lw) (setq lw "bylayer")) ((= lw -2) (setq lw "Byblock")) ((= lw -3) (setq lw "default")) (T (setq lw (* 0.01 lw))))

(command ".change" (ssget "X" (list (cons 62 cor))) "" "P" "LW" lw ""))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×